Bug 261077 - Request that artist count be added to local collection statistics
Summary: Request that artist count be added to local collection statistics
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Context View/Current Track (show other bugs)
Version: 2.4-GIT
Platform: OpenSUSE Linux
: NOR wishlist (vote)
Target Milestone: 2.5
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-23 16:06 UTC by bill p. (aka google01103)
Modified: 2011-09-26 11:57 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bill p. (aka google01103) 2010-12-23 16:06:04 UTC
Version:           2.4-GIT (using KDE 4.5.85) 
OS:                Linux

Request that artist count be added to local collection statistics in the recently played applet when it is displayed (currently just albums, tracks and genres displayed). If space is an issue would request Artists replace genres (or ability to config which are shown)

thanks,

ps - this applet does not show config setting icon like the others

Reproducible: Always
Comment 1 Sven Krohlas 2011-08-01 19:01:24 UTC
Makes sense to me.
Comment 2 Sven Krohlas 2011-08-02 12:13:17 UTC
Git commit 9a88e3bfdf490feb204bebdf551d7688dd793d7d by Sven Krohlas.
Committed on 02/08/2011 at 14:08.
Pushed by krohlas into branch 'master'.

Current track applet: show number of artists instead of genres

There are not many genres. ;-) So the number of artists is a much better
way to express some statistics about the collection.

BUG:261077
FIXED-IN:2.4.4
FEATURE:261077

M  +2    -2    src/context/applets/currenttrack/CurrentTrack.h
M  +9    -0    src/core-impl/collections/db/sql/SqlQueryMaker.cpp
M  +10   -12   src/context/applets/currenttrack/CurrentTrack.cpp
M  +3    -0    ChangeLog

http://commits.kde.org/amarok/9a88e3bfdf490feb204bebdf551d7688dd793d7d
Comment 3 Sven Krohlas 2011-08-02 12:13:17 UTC
Git commit 9a88e3bfdf490feb204bebdf551d7688dd793d7d by Sven Krohlas.
Committed on 02/08/2011 at 14:08.
Pushed by krohlas into branch 'master'.

Current track applet: show number of artists instead of genres

There are not many genres. ;-) So the number of artists is a much better
way to express some statistics about the collection.

BUG:261077
FIXED-IN:2.4.4
FEATURE:261077

M  +2    -2    src/context/applets/currenttrack/CurrentTrack.h
M  +9    -0    src/core-impl/collections/db/sql/SqlQueryMaker.cpp
M  +10   -12   src/context/applets/currenttrack/CurrentTrack.cpp
M  +3    -0    ChangeLog

http://commits.kde.org/amarok/9a88e3bfdf490feb204bebdf551d7688dd793d7d